package com.dsk.common.core.domain.model;

import javax.validation.constraints.NotNull;

public class EnterpriseBidDataGroupBody
{
    /**
     * 企业id
     */
    @NotNull(message = "企业id不能为空")
    private Integer cid;
    /**
     * 时间跨度id 1：年，2：月，3：周
     */
    @NotNull(message = "spanId不能为空")
    private Integer spanId;

    public Integer getCid() {
        return cid;
    }

    public void setCid(Integer cid) {
        this.cid = cid;
    }

    public Integer getSpanId() {
        return spanId;
    }

    public void setSpanId(Integer spanId) {
        this.spanId = spanId;
    }

    @Override
    public String toString() {
        final StringBuffer sb = new StringBuffer("com.dsk.common.core.domain.model.EnterpriseBidDataGroupBody{");
        sb.append("cid=").append(cid);
        sb.append(", spanId=").append(spanId);
        sb.append('}');
        return sb.toString();
    }
}
